<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iTriggerFiredCondition Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iTriggerFiredCondition Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iTriggerFiredCondition" --><!-- doxytag: inherits="iBase" -->
<p>This interface is implemented by the leaf <a class="el" href="structiBTNode.html" title="This is a node of a behaviour tree.">iBTNode</a> that monitors a CEL trigger.  
 <a href="structiTriggerFiredCondition.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="behaviourtree_8h_source.html">tools/behaviourtree.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iTriggerFiredCondition:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiTriggerFiredCondition.png" usemap="#iTriggerFiredCondition_map" alt=""/>
  <map id="iTriggerFiredCondition_map" name="iTriggerFiredCondition_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,139,24"/>
</map>
 </div></div>

<p><a href="structiTriggerFiredCondition-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTriggerFiredCondition.html#a6640d77635fbc3d34dd5c64c923d5d57">SetFireOnce</a> (bool once)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set whether or not the execution of the condition will return <em>true</em> once or forever once the trigger has been fired.  <a href="#a6640d77635fbc3d34dd5c64c923d5d57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiTriggerFiredCondition.html#aeecf8515be3635f423e6282ba2e31f54">SetTrigger</a> (<a class="el" href="structiTrigger.html">iTrigger</a> *trigger)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the trigger to be monitored by this node.  <a href="#aeecf8515be3635f423e6282ba2e31f54"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface is implemented by the leaf <a class="el" href="structiBTNode.html" title="This is a node of a behaviour tree.">iBTNode</a> that monitors a CEL trigger. </p>
<p>It returns whether or not a trigger has been fired. The exact behaviour depends on the value set by <a class="el" href="structiTriggerFiredCondition.html#a6640d77635fbc3d34dd5c64c923d5d57" title="Set whether or not the execution of the condition will return true once or forever once the trigger h...">SetFireOnce()</a>. </p>

<p>Definition at line <a class="el" href="behaviourtree_8h_source.html#l00120">120</a> of file <a class="el" href="behaviourtree_8h_source.html">behaviourtree.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6640d77635fbc3d34dd5c64c923d5d57"></a><!-- doxytag: member="iTriggerFiredCondition::SetFireOnce" ref="a6640d77635fbc3d34dd5c64c923d5d57" args="(bool once)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTriggerFiredCondition.html#a6640d77635fbc3d34dd5c64c923d5d57">iTriggerFiredCondition::SetFireOnce</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>once</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set whether or not the execution of the condition will return <em>true</em> once or forever once the trigger has been fired. </p>
<p>If <code>once</code> is <em>true</em>, then <a class="el" href="structiBTNode.html#a1079ef55b11c237982055580ae72f660" title="Execute this node.">iBTNode::Execute()</a> will return <em>true</em> only once each time the trigger is fired. Otherwise, <a class="el" href="structiBTNode.html#a1079ef55b11c237982055580ae72f660" title="Execute this node.">iBTNode::Execute()</a> will return <em>true</em> forever once the trigger has been fired. The default value is false. </p>

</div>
</div>
<a class="anchor" id="aeecf8515be3635f423e6282ba2e31f54"></a><!-- doxytag: member="iTriggerFiredCondition::SetTrigger" ref="aeecf8515be3635f423e6282ba2e31f54" args="(iTrigger *trigger)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiTriggerFiredCondition.html#aeecf8515be3635f423e6282ba2e31f54">iTriggerFiredCondition::SetTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiTrigger.html">iTrigger</a> *&#160;</td>
          <td class="paramname"><em>trigger</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the trigger to be monitored by this node. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="behaviourtree_8h_source.html">behaviourtree.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
